2019-09-19 17:05 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006229Spring engineGeneralpublic2019-06-11 20:31
Reporterraaar 
Assigned To 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionsuspended 
Product Version104.0 +git 
Target VersionFixed in Version 
Summary0006229: techA crashed mid-game for nearly all users due to out of memory error
DescriptionI was one of the players, it started lagging for about 10 seconds at about 23 min ingame then it crashed

[f=0041197] Error: [LuaRules::RunCallInTraceback] error=4 (LUA_ERRMEM) callin=GameFrame trace=[Internal Lua error: Call failure] not enough memory
[f=0041197] Fatal: [spring_lua_alloc_log_error][handle=LuaRules][OOM] synced=1 {alloced,maximum}={805306400,805306368}bytes

me and others rejoined but it crashed again when we caught up to the time where it crashed before (not sure if exactly on the same frame).

Additional Informationapparently 1 player, Mr Weak, was still able to keep playing

TagsNo tags attached.
Checked infolog.txt for lua ErrorsYes
Attached Files
  • ? file icon 20190531_225429_Techno Lands Final v3_104.0.1-1208-gb3ccab9 maintenance.sdfz (774,925 bytes) 2019-06-01 00:52
  • txt file icon infolog_techa_lua_outofmem.txt (66,725 bytes) 2019-06-01 00:52 -
    Using writeable configuration source: "C:\Users\Rui\Documents\My Games\Spring\springsettings.cfg"
    LogOutput initialized. Logging to C:\Users\Rui\Documents\My Games\Spring\infolog.txt
    ============== <Log Sections> ==============
      Available:
        ArchiveScanner
        AutohostInterface
        BumpWater
        CSMFGroundTextures
        CregSerializer
        DecalsDrawerGL4
        DynWater
        FarTextureHandler
        Font
        GameServer
        GroundMoveType
        KeyBindings
        LuaSocket
        Model
        Net
        Path
        Piece
        RoamMeshDrawer
        Shader
        SkyBox
        Sound
        Texture
        VFS
      Enabled:
        Sound (Notice)
      
      Enable or disable log sections using the LogSections configuration key
      or the SPRING_LOG_SECTIONS environment variable (both comma separated).
      Use "none" to disable the default log sections.
    ============== </Log Sections> ==============
    
    ============== <User Config> ==============
      AllowDeferredMapRendering = 1
      AllowDeferredModelRendering = 1
      BumpWaterDepthBits = 16
      CamFreeScrollSpeed = 0
      CamMode = 1
      CamTimeExponent = 4.0
      CamTimeFactor = 1.0
      FPSFOV = 90
      GrassDetail = 0
      GroundDetail = 200
      GroundScarAlphaFade = 1
      GuiOpacity = 1
      HangTimeout = 0
      HardwareCursor = 1
      InitialNetworkTimeout = 0
      InputTextGeo = 0.26 0.73 0.02 0.028
      LODScale = 1.000
      LODScaleReflection = 1.000
      LODScaleRefraction = 1.000
      LODScaleShadow = 1.000
      LastSelectedMap = Tropical-v2
      LastSelectedMod = Metal Factions v0.985
      LastSelectedScript = MFAI : brutal
      LastSelectedSetting = MaxParticles
      MSAALevel = 2
      MaxDynamicMapLights = 0
      MaxDynamicModelLights = 0
      MaxNanoParticles = 10000
      MaxParticles = 20000
      MaximumTransmissionUnit = 0
      MiddleClickScrollSpeed = -0.005
      MouseDragScrollThreshold = 0
      ReconnectTimeout = 0
      RotateLogFiles = 1
      ScreenshotCounter = 1844
      ScrollWheelSpeed = -25
      ShadowMapSize = 3931
      Shadows = 1
      ShowFPS = 1
      ShowPlayerInfo = 0
      ShowSpeed = 1
      SpringData = C:/Users/Rui/Documents/My Games/Spring;
      TeamHighlight = 0
      UnitLodDist = 10000
      UsePBO = 0
      WindowPosX = 0
      WindowPosY = 23
      WorkerThreadCount = 1
      XResolutionWindowed = 1280
      YResolutionWindowed = 961
      snd_airAbsorption = 0
      snd_volmaster = 50
      snd_volmusic = 20
    ============== </User Config> ==============
    
    ============== <User System> ==============
      Spring Engine Version: 104.0.1-1208-gb3ccab9 maintenance
          Build Environment: gcc libstdc++ version 20171010
           Compiler Version: gcc-5.5.0
           Operating System: Windows 8.1 Home Premium Edition, 64-bit (build 9600)
            Hardware Config: Intel(R) Core(TM) i7-3770 CPU @ 3.40GHz; 8143MB RAM, 11295MB pagefile
           Binary Word Size: 32-bit (emulated)
              Process Clock: std::chrono::high_resolution_clock
         Physical CPU Cores: 4
          Logical CPU Cores: 8
    ============== </User System> ==============
    
    [good_fpu_init][STREFLOP_SSE]
    	SSE 1.0 : 1,  SSE 2.0 : 1
    	SSE 3.0 : 1, SSSE 3.0 : 1
    	SSE 4.1 : 1,  SSE 4.2 : 1
    	SSE 4.0A: 0,  SSE 5.0A: 0
    [WatchDog::Install] disabled
    [WatchDog::RegisterThread] registering controls for thread [main]
    [GL::CheckAvailableVideoModes] desktop={1280x1024x24bpp@75Hz} current={1280x1024x24bpp@75Hz}
    	display=1 modes=22 bounds={x=0, y=0, w=1280, h=1024}
    		[ 5] 1280x800x24bpp@75Hz
    		[ 9] 1280x720x24bpp@75Hz
    [GR::CreateSDLWindow] using 2x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for main window
    [GR::CreateSDLWindow] using 2x anti-aliasing and 24-bit depth-buffer (PF="SDL_PIXELFORMAT_RGB888") for hidden window
    [GR::LogVersionInfo]
    	SDL version : 2.0.8 (linked) / 2.0.8 (compiled)
    	GL version  : 4.5.0 NVIDIA 385.69
    	GL vendor   : NVIDIA Corporation
    	GL renderer : GeForce GT 640/PCIe/SSE2
    	GLSL version: 4.50 NVIDIA
    	GLEW version: 2.1.0
    	GPU memory  : 3072MB (total) / 2280MB (available)
    	SDL swap-int: 1
    	
    	ARB shader support        : 1
    	GLSL shader support       : 1
    	FBO extension support     : 1
    	NVX GPU mem-info support  : 1
    	ATI GPU mem-info support  : 0
    	NPOT-texture support      : 1 (1)
    	S3TC/DXT1 texture support : 1/1
    	texture query-LOD support : 1 (1)
    	24-bit Z-buffer support   : 1 (-)
    	primitive-restart support : 1 (1)
    	clip-space control support: 1 (1)
    	seamless cube-map support : 1 (1)
    	frag-depth layout support : 1 (-)
    	
    	max. FBO samples             : 32
    	max. texture size            : 16384
    	max. texture anisotropy level: 16.000000
    	max. vec4 varyings/attributes: 31/16
    	max. draw-buffers            : 8
    	max. rec. indices/vertices   : 1048576/1048576
    	max. uniform buffer-bindings : 84
    	max. uniform block-size      : 64KB
    	
    	enable ATI-hacks : 0
    	compress MIP-maps: 0
    [GR::ToggleGLDebugOutput] OpenGL debug-context not installed (dbgErrors=0 dbgTraces=0)
    [GR::UpdateGLConfigs]
    [VSync::SetInterval] interval=0 (disabled)
    [GR::UpdateGLGeometry][1] winSize=<1,1>
    [GR::UpdateGLGeometry][2] winSize=<1280,1024>
    [GR::InitGLState]
    [GR::LogDisplayMode] display-mode set to 1280x1024x24bpp@75Hz (fullscreen::decorated)
    [TexMemPool::Resize] poolSize=134217728u allocSize=0u texCount=0u
    [~ScopedOnceTimer][FtLibraryHandler::FontConfigInit (version 2.10.2)] 1ms
    [ThreadPool::SetThreadCount][1] wanted=4 current=1 maximum=4 (init=1)
    [ThreadPool::SetThreadCount][2] workers=3
    [WatchDog::RegisterThread] registering controls for thread [vfsi]
    Using read-write data directory: C:\Users\Rui\Documents\My Games\Spring\
    Using read-only data directory: C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1208-gb3ccab9 maintenance\
    Scanning: C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1208-gb3ccab9 maintenance\base
    Scanning: C:\Users\Rui\Documents\My Games\Spring\maps
    Scanning: C:\Users\Rui\Documents\My Games\Spring\games
    Scanning: C:\Users\Rui\Documents\My Games\Spring\packages
    [~ScopedOnceTimer][CArchiveScanner::ScanAllDirs] 2466ms
    [WatchDog::DeregisterThread] deregistering controls for thread [vfsi]
    [ThreadPool::SetThreadCount][1] wanted=1 current=4 maximum=4 (init=0)
    	[async=0] threads=4 tasks=9 {sum,avg}{exec,wait}time={{-0.000, 0.000}, {0.000, 0.000}}ms
    		thread=1 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    		thread=2 tasks=3 {sum,min,max,avg}{exec,wait}time={{-0.000, 0.000, -0.000, 0.000}, {0.000, 0.000, 0.000, 0.000}}ms
    		thread=3 tasks=3 {sum,min,max,avg}{exec,wait}time={{26815615859885194199148049996411692254958731641184786755447122887443528060147093953603748596333806855380063716372972101707507765623893139892867298012168192.000, -0.000, 2.000, -26815622253229345280022760982426046023135656325681985649042057114001090179989339462137008479553559323725442958890161692034618686546874245174503409595711488.000}, {0.000, 0.000, 0.000, 0.000}}ms
    	[async=1] threads=4 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [ThreadPool::SetThreadCount][2] workers=0
    [Threading] Main thread CPU affinity mask set: 255
    [f=-000001] [~ScopedOnceTimer][ISound::Init::New] 0ms
    [f=-000001] [Sound] [ISound::Initialize] spawning sound-thread (0.0ms)
    [f=-000001] [Sound] [Sound::UpdateThread][1] cfgMaxSounds=128
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [audio]
    [f=-000001] [Sound] [Sound::InitThread][1]
    [f=-000001] [Sound] [Sound::OpenLoopbackDevice] opening default device
    [f=-000001] [Sound] [Sound::OpenLoopbackDevice] unhandled SDL format: 0x8120
    [f=-000001] [Sound] [Sound::Cleanup][SDL_CloseAudioDevice(2)]
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] opening default device "OpenAL Soft"
    [f=-000001] [Sound] [Sound::OpenOpenALDevice] device=05aebea0 context=0587ec90
    [f=-000001] [Sound] [Sound::InitThread][4][OpenAL API Info]
    [f=-000001] [Sound]   Vendor:         OpenAL Community
    [f=-000001] [Sound]   Version:        1.1 ALSOFT 1.16.0
    [f=-000001] [Sound]   Renderer:       OpenAL Soft
    [f=-000001] [Sound]   AL Extensions:  AL_EXT_ALAW AL_EXT_DOUBLE AL_EXT_EXPONENT_DISTANCE AL_EXT_FLOAT32 AL_EXT_IMA4 AL_EXT_LINEAR_DISTANCE AL_EXT_MCFORMATS AL_EXT_MULAW AL_EXT_MULAW_MCFORMATS AL_EXT_OFFSET AL_EXT_source_distance_model AL_LOKI_quadriphonic AL_SOFT_block_alignment AL_SOFT_buffer_samples AL_SOFT_buffer_sub_data AL_SOFT_deferred_updates AL_SOFT_direct_channels AL_SOFT_loop_points AL_SOFT_MSADPCM AL_SOFT_source_latency AL_SOFT_source_length
    [f=-000001] [Sound]   ALC Extensions: ALC_ENUMERATE_ALL_EXT ALC_ENUMERATION_EXT ALC_EXT_CAPTURE ALC_EXT_DEDICATED ALC_EXT_disconnect ALC_EXT_EFX ALC_EXT_thread_local_context ALC_SOFTX_device_clock ALC_SOFTX_HRTF ALC_SOFT_loopback ALC_SOFTX_midi_interface ALC_SOFT_pause_device
    [f=-000001] [Sound]   Devices:
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output(Optical) (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Speakers (Realtek High Definition Audio)]
    [f=-000001] [Sound]     [Realtek Digital Output (Realtek High Definition Audio)]
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] #attribs=15
    [f=-000001] [Sound] [Sound::GetMaxMonoSources] {cfg,alc}MaxSounds={128,255}
    [f=-000001] [Sound] Error:   EFX: AL_INVALID_VALUE (40963)
    [f=-000001] [Sound] Error:   Initializing EFX failed!
    [f=-000001] [Sound] [Sound::UpdateThread][2]
    [f=-000001] [~ScopedOnceTimer][ISound::Init::Dev] 100ms
    [f=-000001] [StartScript] Loading StartScript from: C:\Users\Rui\AppData\Roaming\springlobby\script.txt
    [f=-000001] [CPreGame] client using IP 95.216.4.117 and port 8467
    [f=-000001] [NetProto::InitClient] connecting to IP 95.216.4.117 on port 8467 using name raaar
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1280,1024>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1280,1024>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1280x1024x24bpp@75Hz (fullscreen::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][1] fullScreen=1
    [f=-000001] [GR::UpdateGLConfigs]
    [f=-000001] [GR::UpdateGLGeometry][1] winSize=<1280,1024>
    [f=-000001] [GR::UpdateGLGeometry][2] winSize=<1280,1024>
    [f=-000001] [GR::InitGLState]
    [f=-000001] [GR::LogDisplayMode] display-mode set to 1280x1024x24bpp@75Hz (fullscreen::decorated)
    [f=-000001] [~ScopedOnceTimer][GlobalRendering::UpdateGL] 0ms
    [f=-000001] [~ScopedOnceTimer][ActiveController::ResizeEvent] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SIZE_CHANGED][2]
    
    [f=-000001] 
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][1] fullScreen=1
    [f=-000001] [~ScopedOnceTimer][Sound::Iconified] 0ms
    [f=-000001] [~ScopedOnceTimer][FBO::GLContextReinit] 0ms
    [f=-000001] [SpringApp::MainEventHandler][SDL_WINDOWEVENT_SHOWN][2]
    
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using map: Techno Lands Final v3.1
    [f=-000001] [PreGame::AddGameSetupArchivesToVFS] using game: Tech Annihilation test-9089-cf28273 (archive: 1e9e0472dd4c1094c5ec8eb668f87ffa.sdp)
    [f=-000001] PreGame::GameDataReceived] recording demo to "C:\Users\Rui\Documents\My Games\Spring\demos\20190531_225429_Techno Lands Final v3_104.0.1-1208-gb3ccab9 maintenance.sdfz"
    [f=-000001] [~ScopedOnceTimer][PreGame::GameDataReceived] 87ms
    [f=-000001] [PreGame::UpdateClientNet] received local player number 7 (team 7, allyteam 1), creating LoadScreen
    [f=-000001] [LuaIntro] Searching for new Widgets
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Addons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/Widgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemAddons/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/SystemWidgets/
    [f=-000001] [LuaIntro] Scanning: LuaIntro/chili/
    [f=-000001] [LuaIntro] Found new widget "SpringLogo"
    [f=-000001] [LuaIntro] Found new widget "LoadTexture"
    [f=-000001] [LuaIntro] Found new widget "LoadProgress"
    [f=-000001] [LuaIntro] Found new widget "Main"
    [f=-000001] [LuaIntro] Found new widget "Music"
    [f=-000001] [LuaIntro] Loading widgets   <>=vfs  **=raw  ()=unknown
    [f=-000001] [LuaIntro] Loading widget:      Engine Taskbar Stuff   <engine_taskbar_control.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadProgress           <loadprogress.lua>
    [f=-000001] [LuaIntro] Loading widget:      Main                   <main.lua>
    [f=-000001] [LuaIntro] Loading widget:      Music                  <music.lua>
    [f=-000001] [LuaIntro] Loading widget:      LoadTexture            <bg_texture.lua>
    [f=-000001] [LuaIntro] LuaIntro v1.0 (Lua 5.1)
    [f=-000001] [LoadScreen::Init] single-threaded
    [f=-000001] [WatchDog::RegisterThread] registering controls for thread [load]
    [f=-000001] [Game::LoadGame][1] globalQuit=0 threaded=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Parsing Map Information"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading SMF"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map (113 MB)"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading GameData Definitions"
    [f=-000001] [~ScopedOnceTimer][Loading all definitions: ] 403ms
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (GameData)] 467ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Radar Icons"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Sound Definitions"
    [f=-000001] [Sound] [LoadSoundDefsImpl] parsed 29 sounds from gamedata/sounds.lua
    [f=-000001] [~ScopedOnceTimer][Game::LoadDefs (Sound)] 2ms
    [f=-000001] [Game::LoadGame][2] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Smooth Height Mesh"
    [f=-000001] [~ScopedOnceTimer][SmoothHeightMesh::MakeSmoothMesh] 60ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating QuadField & CEGs"
    [f=-000001] [Init] number of ArmorDefs: 19
    [f=-000001] [RegisterModelFormats] supported (Assimp) model formats: *.3ds;*.blend;*.dae;*.lwo;*.obj;
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Unit Textures"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Sky"
    [f=-000001] [Game::LoadGame][3] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Weapon Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (WeaponDefs)] 711ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Unit Definitions"
    [f=-000001] Warning: [CreateYardMap] tlldmc: given yardmap requires 24 extra char(s)!
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (UnitDefs)] 144ms
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Feature Definitions"
    [f=-000001] [~ScopedOnceTimer][Game::PostLoadSim (FeatureDefs)] 37ms
    [f=-000001] [IPathManager::GetInstance] using HAPFS
    [f=-000001] [LoadScreen::SetLoadMessage] text="Initializing Map Features"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ShadowHandler"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating InfoTextureHandler"
    [f=-000001] InfoTexture: shaders
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating GroundDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Map Tiles"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading Square Textures"
    [f=-000001] [~ScopedOnceTimer][CSMFGroundTextures::ConvolveHeightMap] 4ms
    [f=-000001] Switching to ROAM Mesh Rendering
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating TreeDrawer"
    [f=-000001] Loaded DecalsDrawer: Legacy
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating ProjectileDrawer & UnitDrawer"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Projectile Textures"
    [f=-000001] Warning: [CCEG::Load] table for CEG "abaddon_emit" invalid (parse errors?)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Creating Water"
    [f=-000001] [Game::LoadGame][4] globalQuit=0 forcedQuit=0
    [f=-000001] [~ScopedOnceTimer][Game::LoadInterface (Console)] 20ms
    [f=-000001] [Game::LoadLua] Lua developer mode disabled
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaRules"
    [f=-000001] [~ScopedOnceTimer][creg::AutoRegisterCFunctions(LuaRules)] 88ms
    [f=-000001] Jump Jet Defs checking begining...
    [f=-000001] .. Jump Jet Defs checking complete
    [f=-000001] Loaded SYNCED gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=-000001] Loaded SYNCED gadget:  Rez Exp             <unit_rez_exp.lua>
    [f=-000001] Loaded SYNCED gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded SYNCED gadget:  Wanted Speed        <unit_wanted_speed.lua>
    [f=-000001] Loaded SYNCED gadget:  CobButton           <unit_cobbutton.lua>
    [f=-000001] Loaded SYNCED gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded SYNCED gadget:  No Self-D           <unit_noselfd.lua>
    [f=-000001] Loaded SYNCED gadget:  Tech Trees (with count, range, sign, ...)  <better_ranged_counted_multi_tech.lua>
    [f=-000001] Loaded SYNCED gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded SYNCED gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded SYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded SYNCED gadget:  Units Targetting Prioritie  <unit_targetting_priorities.lua>
    [f=-000001] Loaded SYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded SYNCED gadget:  Add special impulse boost  <unit_add_impulse.lua>
    [f=-000001] Loaded SYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded SYNCED gadget:  Anti Stock          <unit_antistock.lua>
    [f=-000001] Loaded SYNCED gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded SYNCED gadget:  COB Tidal Speed Control  <unit_tidal_speed_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Closed PowerPlants  <unit_powerplants_closed.lua>
    [f=-000001] Loaded SYNCED gadget:  Com Counter         <mo_com_counter.lua>
    [f=-000001] Loaded SYNCED gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded SYNCED gadget:  DGun CmdType Fix    <unit_dgun_cmdtype_fix.lua>
    [f=-000001] Loaded SYNCED gadget:  Death Messages      <game_death_messages.lua>
    [f=-000001] Loaded SYNCED gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Debris physics      <feature_debris_physics.lua>
    [f=-000001] Loaded SYNCED gadget:  Decloak when damaged  <unit_decloak_damaged.lua>
    [f=-000001] Loaded SYNCED gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded SYNCED gadget:  DirectControl       <unit_direct_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Don't target flyover nukes  <unit_interceptors.lua>
    [f=-000001] Loaded SYNCED gadget:  Draw Manager Api    <api_draw_manager.lua>
    [f=-000001] Loaded SYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded SYNCED gadget:  Energy Conversion   <game_energy_conversion.lua>
    [f=-000001] Loaded SYNCED gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded SYNCED gadget:  GPU mem Broadcast   <gpumem_broadcast.lua>
    [f=-000001] Loaded SYNCED gadget:  Game End            <game_end.lua>
    [f=-000001] Loaded SYNCED gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded SYNCED gadget:  Jumpjets            <unit_jumpjets.lua>
    [f=-000001] Loaded SYNCED gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded SYNCED gadget:  Lua unit script framework  <unit_script.lua>
    [f=-000001] Loaded SYNCED gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded SYNCED gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=-000001] Loaded SYNCED gadget:  Lups UnderWater Fusion  <lups_uw_fusions.lua>
    [f=-000001] Loaded SYNCED gadget:  LupsNanoSpray       <lups_nano_spray.lua>
    [f=-000001] Loaded SYNCED gadget:  Maverick Exp        <unit_maverick_exp.lua>
    [f=-000001] Loaded SYNCED gadget:  Max Nukes           <unit_max_nukes.lua>
    [f=-000001] Loaded SYNCED gadget:  Nano Boost          <unit_nanoboost.lua>
    [f=-000001] Loaded SYNCED gadget:  Napalm and More     <lups_napalm_and_more.lua>
    [f=-000001] Loaded SYNCED gadget:  No Land Damage      <unit_no_land_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  No Self Pwn         <unit_noselfpwn.lua>
    [f=-000001] Loaded SYNCED gadget:  No Self-D on share  <unit_prevent_share_selfd.lua>
    [f=-000001] Loaded SYNCED gadget:  NoAirNuke           <exp_no_air_nuke.lua>
    [f=-000001] Loaded SYNCED gadget:  NoCost              <cmd_nocost.lua>
    [f=-000001] Loaded SYNCED gadget:  Nonblocking mines   <unit_nonblocking_mines.lua>
    [f=-000001] Loaded SYNCED gadget:  Paralyze Damage Multiplier  <unit_paralyze_damage_multiplier.lua>
    [f=-000001] Loaded SYNCED gadget:  Passive Builders v3  <unit_passive_builders.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Excessive Share  <game_prevent_excessive_share.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Lab Hax     <unit_prevent_lab_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Load Hax    <unit_prevent_load_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Range Hax   <unit_prevent_range_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Strange Orders  <unit_prevent_strange_orders.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Prevent outside-of-map hax  <unit_prevent_aircraft_hax.lua>
    [f=-000001] Loaded SYNCED gadget:  Projectile Control  <game_projectile_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded SYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded SYNCED gadget:  Resign Gadget       <game_resign.lua>
    [f=-000001] Loaded SYNCED gadget:  Run Dry Control     <unit_run_dry.lua>
    [f=-000001] Loaded SYNCED gadget:  Self destruct blocker  <unit_self_destruct.lua>
    [f=-000001] Loaded SYNCED gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=-000001] Loaded SYNCED gadget:  Shield Starting Power  <unit_shieldstartpower.lua>
    [f=-000001] Loaded SYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded SYNCED gadget:  Stealthy Passengers  <unit_stealthy_passengers.lua>
    [f=-000001] Loaded SYNCED gadget:  Stockpile limit control  <unit_stockpile_limit.lua>
    [f=-000001] Loaded SYNCED gadget:  Stun Control        <unit_stun_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Stun Energy Storage  <unit_stun_energy_storage.lua>
    [f=-000001] Loaded SYNCED gadget:  Stun Metal Storage  <unit_stun_metal_storage.lua>
    [f=-000001] Loaded SYNCED gadget:  System info         <system_info.lua>
    [f=-000001] Loaded SYNCED gadget:  TSAR Stock          <unit_tsarstock.lua>
    [f=-000001] Loaded SYNCED gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded SYNCED gadget:  Team Resourcing     <game_team_resources.lua>
    [f=-000001] Loaded SYNCED gadget:  Terrain Texture Handler  <terrain_texture_handler.lua>
    [f=-000001] Loaded SYNCED gadget:  Tidal Energy Control  <unit_tidal_energy_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Trans Control       <trans_control.lua>
    [f=-000001] Loaded SYNCED gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded SYNCED gadget:  Wade Effects        <wake_fx.lua>
    [f=-000001] Loaded SYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded SYNCED gadget:  Windmill Control    <unit_windmill_control.lua>
    [f=-000001] Loaded SYNCED gadget:  drop                <unit_drop.lua>
    [f=-000001] Loaded SYNCED gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] Loaded SYNCED gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded SYNCED gadget:  lups_wrapper.lua    <lups_wrapper.lua>
    [f=-000001] Loaded SYNCED gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=-000001] Loaded SYNCED gadget:  mo_noshare          <mo_noshare.lua>
    [f=-000001] Loaded SYNCED gadget:  mo_preventcombomb   <mo_preventcombomb.lua>
    [f=-000001] Loaded SYNCED gadget:  transport passengers control  <unit_passengers_control.lua>
    [f=-000001] Loaded SYNCED gadget:  unit_combomb_full_damage  <unit_combomb_full_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded SYNCED gadget:  Lua Geo Vents       <map_geo_vents.lua>
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] 2932.5
    [f=-000001] Loaded SYNCED gadget:  Lua Metal Spots     <map_metal_spots.lua>
    [f=-000001] Loaded SYNCED gadget:  Map features        <map_features.lua>
    [f=-000001] Lups Projectile for WeaponID: , 343
    [f=-000001] Lups Projectile for WeaponID: , 19
    [f=-000001] Lups Projectile for WeaponID: , 16
    [f=-000001] Loaded SYNCED gadget:  Projectile Lups     <lups_projectiles.lua>
    [f=-000001] Loaded SYNCED gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded SYNCED gadget:  Team Com Ends + dead allyteam blowup  <game_team_com_ends.lua>
    [f=-000001] Loaded SYNCED gadget:  Factory Guard       <unit_factory_guard.lua>
    [f=-000001] Loaded SYNCED gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded SYNCED gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded SYNCED gadget:  Area Denial         <weapon_area_damage.lua>
    [f=-000001] Loaded SYNCED gadget:  Slave Commands to Tech Level  <cmd_slave_to_tech.lua>
    [f=-000001] Loaded SYNCED gadget:  Unit Explosion Spawner  <unit_explosion_spawner.lua>
    [f=-000001] Loaded SYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded SYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded SYNCED gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Loaded SYNCED gadget:  Lups Shield         <lups_shield.lua>
    [f=-000001] Loaded SYNCED gadget:  Gadget Profiler     <dbg_gadget_profiler.lua>
    [f=-000001] Loaded SYNCED gadget:  Version Warning     <version_warning.lua>
    [f=-000001] <LockCamera>: Sorry for the camera switch spam, but this is the only reliable way to list camera states other than hardcoding them
    [f=-000001] Switching to Overview style camera
    [f=-000001] Switching to Spring style camera
    [f=-000001] Switching to Free style camera
    [f=-000001] Switching to Rotatable overhead camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Switching to FPS style camera
    [f=-000001] Switching to Overhead (TA) style camera
    [f=-000001] Loaded UNSYNCED gadget:  Metalspot Finder Gadget  <mex_spot_finder.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Stats               <api_damage_stats.lua>
    [f=-000001] Loaded UNSYNCED gadget:  CustomIcons         <unit_customicons.lua>
    [f=-000001] Loaded UNSYNCED gadget:  IconGenerator       <unit_icongenerator.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Tech Trees (with count, range, sign, ...)  <better_ranged_counted_multi_tech.lua>
    [f=-000001] Loaded UNSYNCED gadget:  CameraBroadcast     <camera_lockcamera.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Awards              <gui_awards.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Sun Handler         <map_sun_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  UnitMorph           <unit_morph.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Units Targetting Prioritie  <unit_targetting_priorities.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Add special impulse boost  <unit_add_impulse.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Air Transports Handler  <air_transports.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Build Icons Slowy (/luarules buildiconslow)  <dbg_buildicons_run.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Closed PowerPlants  <unit_powerplants_closed.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Cursor Broadcast    <cmd_mouse_pos_broadcast.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Debris Damage       <unit_debris_damage.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Dev Helper Cmds     <cmd_dev_helpers.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Draw Manager Api    <api_draw_manager.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Dynamic collision volume & Hitsphere Scaledown  <unit_dynamic_collision_volume.lua>
    [f=-000001] Loaded UNSYNCED gadget:  FinishedBuilding    <unit_finished_building.lua>
    [f=-000001] Loaded UNSYNCED gadget:  GPU mem Broadcast   <gpumem_broadcast.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Initial Spawn       <game_initial_spawn.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lightning Spash Damage  <unit_lightning_splash_dmg.lua>
    [f=-000001] Loaded UNSYNCED gadget:  LuaUI Reload        <cmd_luaui_reload.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups Flamethrower Jitter  <lups_flame_jitter.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups UnderWater Fusion  <lups_uw_fusions.lua>
    [f=-000001] Loaded UNSYNCED gadget:  LupsNanoSpray       <lups_nano_spray.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Max Nukes           <unit_max_nukes.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Nano Boost          <unit_nanoboost.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Napalm and More     <lups_napalm_and_more.lua>
    [f=-000001] Loaded UNSYNCED gadget:  No Self-D on share  <unit_prevent_share_selfd.lua>
    [f=-000001] Loaded UNSYNCED gadget:  NoCost              <cmd_nocost.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Opacity control     <api_opacity.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Prevent Unload Hax  <unit_prevent_unload_hax.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Projectile Control  <game_projectile_control.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Reclaim Fix         <unit_reclaim_fix.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Reclaim flash       <gfx_reclaim_flash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Resign Gadget       <game_resign.lua>
    [f=-000001] Loaded UNSYNCED gadget:  SetNeutral          <unit_set_neutral.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Shockwaves          <lups_shockwaves.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Stockpile limit control  <unit_stockpile_limit.lua>
    [f=-000001] Loaded UNSYNCED gadget:  System info         <system_info.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Target on the move  <unit_target_on_the_move.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Terrain Texture Handler  <terrain_texture_handler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Transportee Hider   <unit_transportee_hider.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Watereffects        <fx_watersplash.lua>
    [f=-000001] Loaded UNSYNCED gadget:  feature_debris_physics.lua  <feature_debris_physics.lua>
    [f=-000001] Loaded UNSYNCED gadget:  fx_reclaim_shards   <fx_reclaim_shards.lua>
    [f=-000001] [gfx_dynamic_lighting.lua] client has disabled dynamic lighting
    [f=-000001] Loaded UNSYNCED gadget:  gfx_dynamic_lighting.lua  <gfx_dynamic_lighting.lua>
    [f=-000001] Loaded UNSYNCED gadget:  lib_startpoint_guesser.lua  <lib_startpoint_guesser.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_enemywrecks      <mo_enemywrecks.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_greenfields      <mo_greenfields.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_noowner          <mo_noowner.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_noshare          <mo_noshare.lua>
    [f=-000001] Loaded UNSYNCED gadget:  mo_nowrecks         <mo_nowrecks.lua>
    [f=-000001] Loaded UNSYNCED gadget:  transport passengers control  <unit_passengers_control.lua>
    [f=-000001] Loaded UNSYNCED gadget:  unit_self_destruct.lua  <unit_self_destruct.lua>
    [f=-000001] Loaded UNSYNCED gadget:  unit_wanted_speed.lua  <unit_wanted_speed.lua>
    [f=-000001] Loaded UNSYNCED gadget:  wake_fx.lua         <wake_fx.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Airbase Manager     <unit_airbase.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Attack         <unit_areaattack.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Projectile Lups     <lups_projectiles.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Take Manager        <cmd_idle_players.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Factory Guard       <unit_factory_guard.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Substitution        <game_replace_afk_players.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups Cloak FX       <lups_cloak_fx.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Area Denial         <weapon_area_damage.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Slave Commands to Tech Level  <cmd_slave_to_tech.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Unit Explosion Spawner  <unit_explosion_spawner.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Mex Upgrader Gadget  <unit_mex_upgrader.lua>
    [f=-000001] Loaded UNSYNCED gadget:  AirPlantParents     <unit_air_plants.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Crashing Aircraft   <unit_crashing_aircraft.lua>
    [f=-000001] Lups Refraction Pass Disabled
    [f=-000001] Lups Reflection Pass Disabled
    [f=-000001] Loaded UNSYNCED gadget:  Lups                <lups_wrapper.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Lups Shield         <lups_shield.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Gadget Profiler     <dbg_gadget_profiler.lua>
    [f=-000001] Loaded UNSYNCED gadget:  Version Warning     <version_warning.lua>
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaGaia"
    [f=-000001] [LoadScreen::SetLoadMessage] text="Loading LuaUI"
    [f=-000001] LuaUI Entry Point: "luaui.lua"
    [f=-000001] LuaSocket Support: enabled
    [f=-000001] Using LUAUI_DIRNAME = LuaUI/
    [f=-000001] Reloading GUI config from file: LuaUI/ctrlpanel.txt
    [f=-000001] LuaUI: bound F11 to the widget selector
    [f=-000001] LuaUI: bound CTRL+F11 to tweak mode
    [f=-000001] [widgets.lua] Error: Failed to load: gfx_ssao.lua  ([LuaVFS::Include(synced=0)][loadvfs] file=LuaUI/Widgets/Include/LuaShader.lua status=-1)
    [f=-000001] Jump Jet Defs checking begining...
    [f=-000001] .. Jump Jet Defs checking complete
    [f=-000001] Set "shadows" config-parameter to 1
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] frames-per-second indicator is disabled!
    [f=-000001] small digital clock is disabled!
    [f=-000001] simulation speed indicator is disabled!
    [f=-000001] Switching to Spring style camera
    [f=-000001] Ecostats: widget loaded in active player mode
    [f=-000001] replaycontrol: Not a replay, removing myself.
    [f=-000001] Lups Refraction Pass Disabled
    [f=-000001] Lups Reflection Pass Disabled
    [f=-000001] LuaUI v0.3
    [f=-000001] [Game::LoadGame][5] globalQuit=0 forcedQuit=0
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalizing PFS"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=16
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=92
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=1c083c6d
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=b1e6261
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=8f2714c5
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=b64db699
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=b64db699 file="cache\104dev-maintenance/paths/Techno Lands Final v3.1.pe-b64db699.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [16]"
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] BLOCK_SIZE=32
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] PATHESTIMATOR_VERSION=92
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] heightMapChecksum=1c083c6d
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] typeMapChecksum=b1e6261
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] moveDefChecksum=8f2714c5
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] blockMapChecksum=29a
    [f=-000001] [Path] [PathEstimator::CalcHash][Init] estimatorHashCode=b64db6a9
    [f=-000001] [Path] [PathEstimator::ReadFile] hash=b64db6a9 file="cache\104dev-maintenance/paths/Techno Lands Final v3.1.pe2-b64db6a9.zip" (exists=1)
    [f=-000001] [LoadScreen::SetLoadMessage] text="Reading Estimate PathCosts [32]"
    [f=-000001] [LoadScreen::SetLoadMessage] text="[LoadFinalize] finalized PFS (650ms, checksum 46ac0479)"
    [f=-000001] [Game::LoadGame][6] globalQuit=0 forcedQuit=0
    [f=-000001] [LuaMemPool::LogStats][handle=LuaIntro (unsynced)] index=1 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,19298,0} {chunk,block}Bytes={0,0}
    [f=-000001] GameID: a99cf15c10bcb81a5239a0e184b9df36
    [f=-000001] Connection attempt from JonnyNuba5
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 8)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="JonnyNuba5" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="JonnyNuba5" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from AngryWolf
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 12)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="AngryWolf" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="AngryWolf" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from [KING]smurfpro
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 10)
    [f=-000001] Connection attempt from MrWeak
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Linux 64-bit (native)]
    [f=-000001]  -> Connection established (given id 0)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[KING]smurfpro" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[KING]smurfpro" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MrWeak" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MrWeak" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from azerty1
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 5)
    [f=-000001] Connection attempt from Thomi
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 3)
    [f=-000001] Connection attempt from CARTRI
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 14)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="azerty1" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="azerty1" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Thomi" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Thomi" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from Banc0mat
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 9)
    [f=-000001] Connection attempt from Sadist1
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 6)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="CARTRI" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="CARTRI" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from Senethrilll
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 1)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Banc0mat" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Banc0mat" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from [NL]SimplySmurf
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 4)
    [f=-000001] Connection attempt from AnnuitCoeptis
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 18)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Senethrilll" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Senethrilll" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[NL]SimplySmurf" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[NL]SimplySmurf" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="AnnuitCoeptis" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="AnnuitCoeptis" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Sadist1" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Sadist1" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from raaar
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 7)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from [Weed]Mariko
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 2)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[Weed]Mariko" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[Weed]Mariko" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] Connection attempt from Gizmoand
    [f=-000001]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Windows 32-bit (emulated)]
    [f=-000001]  -> Connection established (given id 15)
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Gizmoand" string="[PreGame::GameDataReceived][map-checksums]
    	server=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef
    	client=442292ebc16f5e61d0c545e9e2151ba31bb45499cabba00b8953015f4f360ddbd8ad461ee4ea266640a5d949c46e9560fd329f0f392917996893ad7b885a36ef"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Gizmoand" string="[PreGame::GameDataReceived][mod-checksums]
    	server=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2
    	client=40135b41dc570409f1d7c45d3f26d261cac6fbb0578d7ccd9455f3d9ca5f45368f8dd8688f58a09b24e6aa8793e88142e1decd90fddd06a394d369824e4ee4e2"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="JonnyNuba5" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="JonnyNuba5" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MrWeak" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="AngryWolf" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="MrWeak" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[KING]smurfpro" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="AngryWolf" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[KING]smurfpro" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="azerty1" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Thomi" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="CARTRI" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Sadist1" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Banc0mat" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Sadist1" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Banc0mat" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="raaar" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="azerty1" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Senethrilll" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[NL]SimplySmurf" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Thomi" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="AnnuitCoeptis" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Gizmoand" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="CARTRI" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Gizmoand" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[NL]SimplySmurf" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="Senethrilll" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="AnnuitCoeptis" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[Weed]Mariko" string="[PE::CalcChecksum][BLK_SIZE=16][SHA_DATA=8e2694933dd2b061e787d5cadda316361f96241056073a7ed593b33885120545b62cd5d72ffc0809533c67b69f8407e28d1b364600def39344d19637c1a2eb86]"
    [f=-000001] [Game::ClientReadNet][LOGMSG] sender="[Weed]Mariko" string="[PE::CalcChecksum][BLK_SIZE=32][SHA_DATA=63d24051139bf2816cdf24d065806734f67d2a57bed66c0742654ab06853386a37f9ebf114c3e34723f034052c85ed002edcee863ba31fbc5593790ee211693d]"
    [f=-000001] <Sadist1> glhf
    [f=-000001] <Thomi> tyu2
    [f=-000001] <JonnyNuba5> !ring mar
    [f=-000001] > [KING]AutoHost4 * Ringing [Weed]Mariko (by JonnyNuba5)
    [f=0000000] Set "shadows" config-parameter to 1
    [f=0010595] <raaar> Allies: ~sadist b
    [f=0010678] <raaar> Allies: ur gonna be overrun
    [f=0011858] Error: [GetSolidObjectDecalType] Could not load object-decal from file "unittextures/"
    [f=0013638] Reconnection attempt from eClaire
    [f=0013638]  -> Version: 104.0.1-1208-gb3ccab9 maintenance [Linux 64-bit (native)]
    [f=0013638] [Game::ClientReadNet] added new player ~eClaire with number 19 to team 0
    [f=0013638]  -> Connection established (given id 19)
    [f=0015061] -> Mosquito is being attacked!
    [f=0015668] <raaar> Allies: bombers
    [f=0015772] Speed set to 0.9 [raaar]
    [f=0015826] <raaar> Allies: biombers inc
    [f=0015845] Speed set to 1.0 [raaar]
    [f=0019245] Spectator ~eClaire left the game:  timeout
    [f=0019584] Sadist1 added point: 
    [f=0020244] -> LLT is being attacked!
    [f=0022475] -> Ecoing Commander is being attacked!
    [f=0029816] <raaar> Allies: spread out
    [f=0029870] <raaar> Allies: scout
    [f=0032190] <raaar> Allies: gj
    [f=0034316] Sadist1 added point: 
    [f=0035555] <raaar> Allies: jonny u need more aa
    [f=0038702] Error: [GetSolidObjectDecalType] Could not load object-decal from file "unittextures/"
    [f=0040283] <raaar> Allies: we need stuff with aoe
    [f=0041194] JonnyNuba5 paused the game
    [f=0041194] Senethrilll paused the game
    [f=0041194] <azerty1> yaaay
    [f=0041194] JonnyNuba5 unpaused the game
    [f=0041197] Error: [LuaRules::RunCallInTraceback] error=4 (LUA_ERRMEM) callin=GameFrame trace=[Internal Lua error: Call failure] not enough memory
    [f=0041197] Fatal: [spring_lua_alloc_log_error][handle=LuaRules][OOM] synced=1 {alloced,maximum}={805306400,805306368}bytes
    [f=0041197] [SpringApp::Kill][1] fromRun=1
    [f=0041197] [ThreadPool::SetThreadCount][1] wanted=0 current=1 maximum=4 (init=1)
    [f=0041197] 	[async=0] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0041197] 	[async=1] threads=1 tasks=0 {sum,avg}{exec,wait}time={{0.000, 0.000}, {0.000, 0.000}}ms
    [f=0041197] [ThreadPool::SetThreadCount][2] workers=0
    [f=0041197] [SpringApp::Kill][2]
    [f=0041197] [Game::KillLua][0] dtor=0 loadscreen=00000000
    [f=0041197] [Game::KillLua][3] dtor=0 luaUI=33bbf2a0
    [f=0041197] Red_UI_Framework>> last processed widget was "Red Tooltip"
    [f=0041197] frames-per-second indicator is enabled!
    [f=0041197] small digital clock is enabled!
    [f=0041197] simulation speed indicator is enabled!
    [f=0041197] Red_Drawing>> last processed widget was "Red Tooltip"
    [f=0041197] [LuaMemPool::LogStats][handle=LuaUI (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,65611206,0} {chunk,block}Bytes={0,0}
    [f=0041197] [Game::KillLua][1] dtor=0 luaGaia=00000000
    [f=0041197] [Game::KillLua][2] dtor=0 luaRules=3bd849f0
    [f=0041197] [LuaMemPool::LogStats][handle=LuaRules (unsynced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,65613400,0} {chunk,block}Bytes={0,0}
    [f=0041197] [LuaMemPool::LogStats][handle=LuaRules (synced)] index=4294967295 {numAllocs[*],allocSums[*]}={0,0} {int,ext,rec}Allocs={0,65613400,0} {chunk,block}Bytes={0,0}
    [f=0041197] [Game::KillLua][4] dtor=0
    [f=0041197] [WriteDemoFile] writing client-demo "C:\Users\Rui\Documents\My Games\Spring\demos\20190531_225429_Techno Lands Final v3_104.0.1-1208-gb3ccab9 maintenance.sdfz" (2691425 bytes)
    [f=0041197] [Sound] [Sound::Kill] soundThread.joinable()=1
    [f=0041197] [WatchDog::DeregisterThread] deregistering controls for thread [audio]
    [f=0041197] [Sound] [Sound::UpdateThread][3] #sources=128 #items=97
    [f=0041197] [Sound] [Sound::UpdateThread][4] ctx=0587ec90 dev=05aebea0
    [f=0041197] [Sound] [Sound::UpdateThread][5] ctx=0587ec90 dev=05aebea0
    [f=0041197] [Sound] [Sound::Cleanup][alcDestroyContext(0587ec90)]
    [f=0041197] [Sound] [Sound::Cleanup][alcCloseDevice(05aebea0)]
    [f=0041197] [Sound] [Sound::UpdateThread][6]
    [f=0041197] [Game::~CGame][1]
    [f=0041197] [Game::KillLua][0] dtor=1 loadscreen=00000000
    [f=0041197] [Game::KillLua][3] dtor=1 luaUI=00000000
    [f=0041197] [Game::KillLua][1] dtor=1 luaGaia=00000000
    [f=0041197] [Game::KillLua][2] dtor=1 luaRules=00000000
    [f=0041197] [Game::KillLua][4] dtor=1
    [f=0041197] [Game::KillMisc][1]
    [f=0041197] [Game::KillMisc][2]
    [f=0041197] [Game::KillMisc][3]
    [f=0041197] [Game::KillRendering][1]
    [f=0041197] [3DOParser::Kill] allocated 1706 pieces
    [f=0041197] [S3OParser::Kill] allocated 0 pieces
    [f=0041197] [AssParser::Kill] allocated 0 pieces
    [f=0041197] [Game::KillInterface][1]
    [f=0041197] [Game::KillInterface][2]
    [f=0041197] [Game::KillSimulation][1]
    [f=0041197] [Game::KillSimulation][2]
    [f=0041197] [CCollisionHandler] dis-/continuous tests: 0/893291
    [f=0041197] [Game::KillSimulation][3]
    [f=0041197] [~CPathCache(20x56)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0041197] [~CPathCache(20x56)] cacheHits=3514 hitPercentage=61% numHashColls=0 maxCacheSize=201
    [f=0041197] [~CPathCache(40x112)] cacheHits=0 hitPercentage=0% numHashColls=0 maxCacheSize=0
    [f=0041197] [~CPathCache(40x112)] cacheHits=6627 hitPercentage=1% numHashColls=0 maxCacheSize=201
    [f=0041197] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0041197] [~CRectangleOverlapHandler] 0% overlap reduction
    [f=0041197] [LosHandler::Kill] raycast instance cache-{hits,misses}={467504,115863}; shared=14%; cached=66%
    [f=0041197] [Game::KillSimulation][4]
    [f=0041197] [CommonDefHandler::KillStatic] 7297 sound-set data items added
    [f=0041197] [Game::~CGame][2]
    [f=0041197] [Game::~CGame][3]
    [f=0041197] [SpringApp::Kill][3]
    [f=0041197] [NetProto::~CNetProtocol] [UDPConnection::Statistics]
    	511786 bytes sent   in 4057 packets (126.149 bytes/packet)
    	2646655 bytes recv'd in 5208 packets (508.190 bytes/packet)
    	{0.534x, 0.012x} relative protocol overhead {up, down}
    	310 incoming chunks dropped, 0 outgoing chunks resent
    	12557 incoming chunks processed
    
    [f=0041197] [SpringApp::Kill][4] font=056f6f18
    [f=0041197] [SpringApp::Kill][5]
    [f=0041197] [SpringApp::Kill][6]
    [SpringApp::Kill][7]
    [LuaSocket] [~CLuaSocketRestrictions] dumping luasocket rules:
    [LuaSocket] TCP_CONNECT ALLOW * -1
    [LuaSocket] TCP_LISTEN  ALLOW * -1
    [LuaSocket] UDP_CONNECT DENY  95.216.4.117 8467
    [LuaSocket] UDP_LISTEN  ALLOW * -1
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1208-gb3ccab9 maintenance\base\springcontent.sdz] 219477 bytes cached in 86 files
    [~CPoolArchive] archiveFile="C:\Users\Rui\Documents\My Games\Spring\packages\1e9e0472dd4c1094c5ec8eb668f87ffa.sdp" numZipFiles=10651 sumInflSize=237343kb sumReadTime=842ms
    	file="bitmaps/loadpictures/loadscreen5.png" indx=262 inflSize=1407kb readTime=30ms
    	file="sounds/warning1.wav" indx=6805 inflSize=20kb readTime=20ms
    	file="unittextures/armavp_aoplane.dds" indx=9016 inflSize=341kb readTime=2ms
    	file="bitmaps/starexplo.tga" indx=342 inflSize=256kb readTime=2ms
    	file="unittextures/corevp_aoplane.dds" indx=9161 inflSize=341kb readTime=2ms
    	file="bitmaps/flowexplo.tga" indx=212 inflSize=256kb readTime=2ms
    	file="unittextures/armlab_aoplane.dds" indx=9053 inflSize=341kb readTime=2ms
    	file="bitmaps/mildexplo.tga" indx=264 inflSize=256kb readTime=2ms
    	file="unittextures/armvp_aoplane.dds" indx=9107 inflSize=341kb readTime=2ms
    	file="bitmaps/cloudexplo.tga" indx=185 inflSize=256kb readTime=2ms
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\packages\1e9e0472dd4c1094c5ec8eb668f87ffa.sdp] 48398790 bytes cached in 4940 files
    [~CBufferedArchive][name=C:\Users\Rui\Documents\My Games\Spring\engine\104.0.1-1208-gb3ccab9 maintenance\base\spring\bitmaps.sdz] 791936 bytes cached in 22 files
    [SpringApp::Kill][8]
    [WatchDog::DeregisterThread] deregistering controls for thread [main]
    [WatchDog::Uninstall][1] hangDetectorThread=014f282c (joinable=0)
    [SpringApp::Kill][9]
    
    txt file icon infolog_techa_lua_outofmem.txt (66,725 bytes) 2019-06-01 00:52 +

-Relationships
+Relationships

-Notes

~0020007

Kloot (developer)

Last edited: 2019-06-11 20:31

View 2 revisions

1) description sounds similar to https://springrts.com/phpbb/viewtopic.php?f=11&t=31223 and is quite likely to reoccur in giant games if there are any rogue Spring.GetUnitCommands calls left

2) since 1) was an easily verifyable issue with Lua gadget code, TechA's devs should investigate this first using the replay and /cheat /luarules disable at the right point in time

+Notes

-Issue History
Date Modified Username Field Change
2019-06-01 00:52 raaar New Issue
2019-06-01 00:52 raaar File Added: 20190531_225429_Techno Lands Final v3_104.0.1-1208-gb3ccab9 maintenance.sdfz
2019-06-01 00:52 raaar File Added: infolog_techa_lua_outofmem.txt
2019-06-11 20:29 Kloot Status new => closed
2019-06-11 20:29 Kloot Resolution open => suspended
2019-06-11 20:29 Kloot Note Added: 0020007
2019-06-11 20:31 Kloot Note Edited: 0020007 View Revisions
+Issue History